---
title: ByteString
slug: Web/API/ByteString
tags:
  - API
  - ByteString
  - DOM
  - DOM Reference
  - Reference
  - String
  - WebIDL
---
<div>{{APIRef("DOM")}}</div>

<p><strong><code>ByteString</code></strong> is a UTF-8 String that corresponds to the set of all possible sequences of bytes. <code>ByteString</code> maps to a {{jsxref("String")}} when returned in JavaScript; generally, it's only used when interfacing with protocols that use bytes and strings interchangably, such as HTTP.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebIDL', '#idl-ByteString', 'ByteString')}}</td>
   <td>{{Spec2('WebIDL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>JavaScript {{jsxref("String")}}</li>
 <li><a href="/en-US/docs/Web/API/DOMString/Binary">Binary strings</a></li>
</ul>
